<script language=JavaScript>
<!--
/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
//-->

<!--
//			2004.01.08  新規作成 半角カナ文字チェック対応	鈴木　敏子

	function checkEntry() {

		var LsResult	= "";					//	エラーメッセージ
		var LsName		= "";					//	チェックする項目名
		var LoObject	= null;					//	チェックするコントロール
		var LoForm		= document.insertForm;	//	チェックするフォーム

	//	LOタイトル
		LsName = "LOタイトル";
		LoObject = LoForm.LoTytle;
		//	必須入力チェック
		LsResult = _COM_isInput(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	カンマ入力チェック
		LsResult = _COM_checkComma(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	予約語チェック
		LsResult = _COM_checkReservationWord(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	外部ID
		LsName = "外部ID";
		LoObject = LoForm.ForeignID;
		//	必須入力チェック
		LsResult = _COM_isInput(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	キーワード
		LsName = "キーワード";
		LoObject = LoForm.KeyWord;
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	LOの説明
		LsName = "LOの説明";
		LoObject = LoForm.Loexplanation;
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, 256);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	LOのバージョン
		LsName = "LOのバージョン";
		LoObject = LoForm.Version;
		//	カナ文字チェック
		LsResult = isHanKana(LoObject.value);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}
		//	バイト数チェック
		LsResult = _COM_isLength(LoObject.value, LoObject.maxLength);
		if( LsResult ) {
			alert( LsName+LsResult );
			LoObject.focus();
			return;
		}

	//	作成日

	//	Windowサイズ(縦、横)の入力値チェック
		LsResult = checkWinSize();
		if( LsResult == false) {
			return;
		}

		return true;
	}
-->
</script>
